summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2018-11-13 23:03:52 -0800
committerRobin H. Johnson <robbat2@gentoo.org>2018-11-13 23:06:29 -0800
commit5d2eef62c1e6dea87e974fdf99667914ec6a1807 (patch)
tree2ad1e25025d4666871beeac57db18a4f734e93e6 /sys-auth
parentdev-ruby/ecma-re-validator: add 0.2.0 (diff)
downloadgentoo-5d2eef62c1e6dea87e974fdf99667914ec6a1807.tar.gz
gentoo-5d2eef62c1e6dea87e974fdf99667914ec6a1807.tar.bz2
gentoo-5d2eef62c1e6dea87e974fdf99667914ec6a1807.zip
sys-auth/ssh-ldap-pubkey: selectively install LPK schema file
The LPK schema file is only needed on LDAP servers, and otherwise causes this package to block the OpenSSH upgrade everywhere. By making it optional and not enabled by default, the OpenSSH upgrade is much smoother. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.10
Diffstat (limited to 'sys-auth')
-rw-r--r--sys-auth/ssh-ldap-pubkey/metadata.xml3
-rw-r--r--sys-auth/ssh-ldap-pubkey/ssh-ldap-pubkey-1.3.0-r1.ebuild10
-rw-r--r--sys-auth/ssh-ldap-pubkey/ssh-ldap-pubkey-1.3.0.ebuild12
3 files changed, 16 insertions, 9 deletions
diff --git a/sys-auth/ssh-ldap-pubkey/metadata.xml b/sys-auth/ssh-ldap-pubkey/metadata.xml
index 798419df911..d01451ddfcc 100644
--- a/sys-auth/ssh-ldap-pubkey/metadata.xml
+++ b/sys-auth/ssh-ldap-pubkey/metadata.xml
@@ -9,4 +9,7 @@
<bugs-to>https://github.com/jirutka/ssh-ldap-pubkey/issues</bugs-to>
<remote-id type="github">jirutka/ssh-ldap-pubkey</remote-id>
</upstream>
+ <use>
+ <flag name="schema">Install a copy of the LPK schema, only needed on LDAP servers.</flag>
+ </use>
</pkgmetadata>
diff --git a/sys-auth/ssh-ldap-pubkey/ssh-ldap-pubkey-1.3.0-r1.ebuild b/sys-auth/ssh-ldap-pubkey/ssh-ldap-pubkey-1.3.0-r1.ebuild
index 628ee8f4f19..33d171a2c2b 100644
--- a/sys-auth/ssh-ldap-pubkey/ssh-ldap-pubkey-1.3.0-r1.ebuild
+++ b/sys-auth/ssh-ldap-pubkey/ssh-ldap-pubkey-1.3.0-r1.ebuild
@@ -20,7 +20,7 @@ fi
LICENSE="MIT"
SLOT="0"
-IUSE="test"
+IUSE="schema test"
RESTRICT="!test? ( test )"
MY_CDEPEND="
@@ -40,7 +40,7 @@ DEPEND="
# We need to block previous net-misc/openssh packages
# to avoid file collision on "/etc/openldap/schema/openssh-lpk.schema"
RDEPEND="${MY_CDEPEND}
- !net-misc/openssh[ldap]"
+ schema? ( !net-misc/openssh[ldap] )"
DOCS=( README.md CHANGELOG.adoc )
@@ -56,8 +56,10 @@ python_test() {
python_install_all() {
distutils-r1_python_install_all
- insinto /etc/openldap/schema
- doins etc/openssh-lpk.schema
+ if use schema; then
+ insinto /etc/openldap/schema
+ doins etc/openssh-lpk.schema
+ fi
local MY_DOCDIR="/usr/share/doc/${PF}/examples"
insinto "${MY_DOCDIR}"
diff --git a/sys-auth/ssh-ldap-pubkey/ssh-ldap-pubkey-1.3.0.ebuild b/sys-auth/ssh-ldap-pubkey/ssh-ldap-pubkey-1.3.0.ebuild
index 1c422cf550f..7d04c5fd300 100644
--- a/sys-auth/ssh-ldap-pubkey/ssh-ldap-pubkey-1.3.0.ebuild
+++ b/sys-auth/ssh-ldap-pubkey/ssh-ldap-pubkey-1.3.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
@@ -20,7 +20,7 @@ fi
LICENSE="MIT"
SLOT="0"
-IUSE="test"
+IUSE="schema test"
RESTRICT="!test? ( test )"
MY_CDEPEND="
@@ -40,7 +40,7 @@ DEPEND="
# We need to block previous net-misc/openssh packages
# to avoid file collision on "/etc/openldap/schema/openssh-lpk.schema"
RDEPEND="${MY_CDEPEND}
- !net-misc/openssh[ldap]"
+ schema? ( !net-misc/openssh[ldap] )"
DOCS=( README.md CHANGELOG.adoc )
@@ -51,8 +51,10 @@ python_test() {
python_install_all() {
distutils-r1_python_install_all
- insinto /etc/openldap/schema
- doins etc/openssh-lpk.schema
+ if use schema; then
+ insinto /etc/openldap/schema
+ doins etc/openssh-lpk.schema
+ fi
local MY_DOCDIR="/usr/share/doc/${PF}/examples"
insinto "${MY_DOCDIR}"